@echo off
REM ****************************************************************************
REM
REM  Licensed Materials - Property of IBM
REM  5698-B34  Copyright IBM Corp. 2008, 2011
REM  All rights reserved.
REM
REM  US Government Users Restricted Rights - Use, duplication or
REM  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
REM
REM    File: tivoli_eif/zOSEventSupport_copy.bat, OMNIbus, EventPump422
REM    SID: 1.7
REM    Date Modified: 11/11/28 04:58:29
REM
REM  Change History:
REM    YY/MM/DD        Description
REM    --------        ---------------------------------------------------------
REM    08/09/26        Initial IBM Tivoli Event Pump for z/OS V4.2.0
REM    09/02/16        Add parms, copy to OMNIbus directory.
REM    08/02/19        Defect 174761
REM    11/04/15        OA35980, Tivoli Netcool/OMNIbus 7.3 support
REM    11/11/28        OA37991, Tivoli EIF Probe master rules file support
REM
REM ****************************************************************************
REM  This batch file copies installation files from the DVD image to
REM  the %NCHOME%\omnibus\etc\EventPump directory.
REM ****************************************************************************

if ("%NCHOME%") == ("") goto NCdef
mkdir "%NCHOME%\omnibus\etc\EventPump"
if exist "%NCHOME%\omnibus\etc\EventPump" goto copyit2
echo The EventPump path does not exist
goto done
:copyit2
copy *.bat "%NCHOME%\omnibus\etc\EventPump"
copy *.rules "%NCHOME%\omnibus\etc\EventPump"
copy zos_files\*.sql "%NCHOME%\omnibus\etc\EventPump"
copy zos_files\*.rules "%NCHOME%\omnibus\etc\EventPump"
copy zos_files\*.lookup "%NCHOME%\omnibus\etc\EventPump"
goto done
:NCdef
echo The environment variable NCHOME is not defined
:done
